package I;

import java.io.InputStream;

public class I
{

    static byte getClass[];
    static String getResourceAsStream[] = new String[256];
    static int intern[] = new int[256];

    public I()
    {
    }

    public static final synchronized String I(int i)
    {
        int j = i & 0xff;
        if(intern[j] != i)
        {
            intern[j] = i;
            if(i < 0)
            {
                i &= 0xffff;
            }
            String s = (new String(getClass, 0, i, getClass[i - 1] & 0xff)).intern();
            //String s = (new String(getClass, 0, i)).intern();
            getResourceAsStream[j] = s;
        }
        return getResourceAsStream[j];
    }

    static 
    {
        try
        {
            InputStream inputstream = (new I()).getClass().getResourceAsStream("I.gif");
            if(inputstream != null)
            {
                int i = inputstream.read() << 16 | inputstream.read() << 8 | inputstream.read();
                getClass = new byte[i];
                int j = 0;
                byte byte0 = (byte)i;
                byte abyte0[] = getClass;
                do
                {
                    if(i == 0)
                    {
                        break;
                    }
                    int k = inputstream.read(abyte0, j, i);
                    if(k == -1)
                    {
                        break;
                    }
                    i -= k;
                    k += j;
                    while(j < k) 
                    {
                        abyte0[j] ^= byte0;
                        j++;
                    }
                } while(true);
                inputstream.close();
            }
        }
        catch(Exception exception) { }
    }
}
